Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsc.v200410
Class CoordinationContextType

    java.lang.Object
      com.atomikos.icatch.jaxb.wsc.v200410.CoordinationContextType

Direct Known Subclasses:
  CoordinationContext, CreateCoordinationContextType.CurrentContext

    public class CoordinationContextType

extends Object

Java class for CoordinationContextType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CoordinationContextType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Identifier">
               <complexType>
                 <simpleContent>
                   <extension base="<http://www.w3.org/2001/XMLSchema>anyURI">
                   </extension>
                 </simpleContent>
               </complexType>
             </element>
             <element ref="{http://schemas.xmlsoap.org/ws/2004/10/wscoor}Expires" minOccurs="0"/>
             <element name="CoordinationType" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
             <element name="RegistrationService" type="{http://schemas.xmlsoap.org/ws/2004/08/addressing}EndpointReferenceType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `CoordinationContextType.Identifier` Java class for anonymous complex type.

Field Summary
`protected String` | `coordinationType`
`protected Expires` | `expires`
`protected CoordinationContextType.Identifier` | `identifier`
`protected EndpointReferenceType` | `registrationService`

Constructor Summary
`CoordinationContextType()`

Method Summary
`String` | `getCoordinationType()` Gets the value of the coordinationType property.
`Expires` | `getExpires()` Gets the value of the expires property.
`CoordinationContextType.Identifier` | `getIdentifier()` Gets the value of the identifier property.
`Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`EndpointReferenceType` | `getRegistrationService()` Gets the value of the registrationService property.
`void` | `setCoordinationType(String value)` Sets the value of the coordinationType property.
`void` | `setExpires(Expires value)` Sets the value of the expires property.
`void` | `setIdentifier(CoordinationContextType.Identifier value)` Sets the value of the identifier property.
`void` | `setRegistrationService(EndpointReferenceType value)` Sets the value of the registrationService property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    protected CoordinationContextType.Identifier identifier

### expires

    protected Expires expires

### coordinationType

    protected String coordinationType

### registrationService

    protected EndpointReferenceType registrationService

Constructor Detail

### CoordinationContextType

    public CoordinationContextType()

Method Detail

### getIdentifier

    public CoordinationContextType.Identifier getIdentifier()

  Gets the value of the identifier property.

  Returns:
    possible object is `CoordinationContextType.Identifier`

### setIdentifier

    public void setIdentifier(CoordinationContextType.Identifier value)

  Sets the value of the identifier property.

  Parameters:
    `value` - allowed object is `CoordinationContextType.Identifier`

### getExpires

    public Expires getExpires()

  Gets the value of the expires property.

  Returns:
    possible object is `Expires`

### setExpires

    public void setExpires(Expires value)

  Sets the value of the expires property.

  Parameters:
    `value` - allowed object is `Expires`

### getCoordinationType

    public String getCoordinationType()

  Gets the value of the coordinationType property.

  Returns:
    possible object is `String`

### setCoordinationType

    public void setCoordinationType(String value)

  Sets the value of the coordinationType property.

  Parameters:
    `value` - allowed object is `String`

### getRegistrationService

    public EndpointReferenceType getRegistrationService()

  Gets the value of the registrationService property.

  Returns:
    possible object is `EndpointReferenceType`

### setRegistrationService

    public void setRegistrationService(EndpointReferenceType value)

  Sets the value of the registrationService property.

  Parameters:
    `value` - allowed object is `EndpointReferenceType`

### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.